 /**************************************************************************
 *   Copyright (C) 2009 by Silicium628 (France)                            *
 *   http://silicium628.chez-alice.fr/                                     *
 *   http://www.silicium628.fr/                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation;                                         *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY;                                             *
 *   See the GNU General Public License for more details.                  *
 ***************************************************************************/

#ifndef VECTEUR3D_H
#define VECTEUR3D_H


class Vecteur3D  
{


public:

	double x; 
	double y;
	double z;
	
	void multi_lambda(double lambda);
	Vecteur3D operator+ (Vecteur3D &v);
	Vecteur3D operator- (Vecteur3D &v);
	Vecteur3D operator* (Vecteur3D &v);	// produit vectoriel
	void RotX  (double angle);// rotation / axe x
	void RotY  (double angle);// rotation / axe y
	void RotZ  (double angle);// rotation / axe z

};
#endif
