#include "BSC_catalogue.h"
#include <qdir.h>

/*
void BSCrec::init()
{
	int i;	
	hd=0;
	hr=0;
	ar=0;
	de=0;
	pmar=0;
	pmde=0;
	mv=0;
	b_v=0;
	for (i=0; i<2; i++) { cons[i]=' '; }
	flam=0;	
	for (i=0; i<3; i++) { bayer[i]=' '; }
	for (i=0; i<19; i++) { sp[i]=' ';	}
}
*/

/*
	int32_t hd,bs,ar,de; 	// 4*32 = 	128 bits = 16 octets
	int16_t	pmar,pmde;		// 2*16 =  	 32 bits =  4 octets
	int16_t mv,b_v;			// 2*16 =  	 32 bits =  4 octets
	char cons[3];			// 3*8 = 	 24 bits =  3 octets
	uint8_t flam;			// 			  8 bits =  1 octets
	char bayer[4];			// 4*8 = 	 32 bits =  4 octets
	char sp[20];			// 20*8 = 	160 bits = 20 octets
*/								
// total = ENVIRON 52 octets (suivant alignement des nombres en memoire) 

/*
int getBSC(BSCrec *liste_objets_BSC, int numero_catalogue, QString chemin_catalogue)
//met   jour la liste et retourne le nb d'ojets lus
{
	QString str_numCat;	
	QString BSC_fileName;
	str_numCat.setNum(numero_catalogue);
	str_numCat = "0" +str_numCat;
	str_numCat = str_numCat.right(2); // mise au format 2 chiffres 01 02 ... 50
	QDir repertoire1;	
	repertoire1.setPath(QDir::currentPath());	
	BSC_fileName = repertoire1.path() + chemin_catalogue + str_numCat + ".dat";
	QFile file1(BSC_fileName);	
	if (file1.exists()) { file1.open(QIODevice::ReadOnly);	}
 	else 
	{ 	
		repertoire1.cdUp();		//si lance depuis le repertoire /run		
		BSC_fileName = repertoire1.path() + chemin_catalogue + str_numCat + ".dat";
		file1.setFileName(BSC_fileName);	
		if (file1.exists())	{ file1.open(QIODevice::ReadOnly);	}						
		else {return 0;}
	}
	QDataStream in(&file1);
//dans les fichiers BSC5, les nombres sont enregistres en structure Little Endian ("Petit Boutiste")
//un simple coup d'oeil avec un editeur exadecimal sur un fichier .dat permet de le verifier...
	in.setByteOrder(QDataStream::LittleEndian);
	int hr;
	int n=0;
	while (!in.atEnd())
	{
		BSCrec objet_i;
		
		in >> objet_i.hd >> objet_i.hr >> objet_i.ar >> objet_i.de;
		in >> objet_i.pmar >> objet_i.pmde;
		in >> objet_i.mv >> objet_i.b_v;
		in.readRawData(&objet_i.cons[0], 3 );
		in >> objet_i.flam;
		in.readRawData(&objet_i.bayer[0], 4 );
		in.readRawData(&objet_i.sp[0], 20 );
//enregistrement de l'objet   sa place, en prenant le numero unique bs (=HR) comme index:
//ce qui permet de retrouver l'objet tres rapidement par la suite
 		hr = objet_i.hr;
		liste_objets_BSC[hr-1] = objet_i;
		n++;
	}
	file1.close();	
	return (n-1);
}
*/

int getBSC(QList<BSCrec> *liste_etoiles_BSC, QString FileName)
//met a jour la liste et retourne le nb d'ojets lus
{
	QString BSC_fileName;
	QDir repertoire1;	
	repertoire1.setPath(QDir::currentPath());	
	BSC_fileName = repertoire1.path() + FileName;
	QFile file1(BSC_fileName);	
	if (file1.exists()) { file1.open(QIODevice::ReadOnly);	}
 	else 
	{ 	
		repertoire1.cdUp();		//si lance depuis le repertoire /run		
		BSC_fileName = repertoire1.path() + FileName;
		file1.setFileName(BSC_fileName);	
		if (file1.exists())	{ file1.open(QIODevice::ReadOnly);	}						
		else {return 0;}
	}
	QDataStream in(&file1);
//dans les fichiers BSC5, les nombres sont enregistres en structure Little Endian ("Petit Boutiste")
//un simple coup d'oeil avec un editeur exadecimal sur un fichier .dat permet de le verifier...
	in.setByteOrder(QDataStream::LittleEndian);
	in.setFloatingPointPrecision( QDataStream::SinglePrecision );

	//int hr;
	int n=0;
	
	BSCrec etoile_i;

	//char bidon[100]; 
	
	while (!in.atEnd())
	{
		in >> etoile_i.ra >> etoile_i.de >> etoile_i.mv >> etoile_i.hd >> etoile_i.hr;
		
		in.readRawData(&etoile_i.cstl[0], 3 );
		in.readRawData(&etoile_i.bayer[0], 4 );
		in.readRawData(&etoile_i.sp[0], 16 );

 		*liste_etoiles_BSC << etoile_i;  

		n++;		

	}
	file1.close();	
	return (n-1);
}
